QGIS Application - Feature request #9492
Browser doesn't list layers - WMTS
2014-02-04 09:15 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18083
Description

1) Add this WMTS service:
http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?service=WMTS

2) Connect using the usual WMS/WMTS dialog. It works fine.

3) Go into the browser and try and list the layers - none appear! It doesn't matter if either either the OWS or WMS section is used.

5192e8d

Associated revisions

Revision 0dc0483c - 2014-02-22 04:13 PM - Jiirgen Fischer

support wmts layers to browser (implements #9492)

History

#1 - 2014-02-09 01:17 AM - Jiirgen Fischer
- Tracker changed from Bug report to Feature request

#2 - 2014-02-10 04:11 AM - Jonathan Moules

I'd have thought this was a bug rather than a feature.
There's a + icon | can click which does stuff for other data types (WMS/WFS/WCS), but doesn't for WMTS. I'd suggest that WMTS shouldn't be listed if it's

not supposed to be implemented, hence my thinking it's a bug.

#3 - 2014-02-22 07:15 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"0dc0483ca2d68ad9ef8fc6f67026a349598c7cbe".

#4 - 2014-02-26 03:03 PM - Jeremy Palmer

As part of this fix | noticed this: #0dc0483ca2d68ad9ef8fc6f67026a349598c7cbe#tcommitcomment-5460726

#5 - 2014-02-27 01:01 AM - Jiirgen Fischer
http://maps.warwickshire.gov.uk/gs/gwc/service/wmts?service=WMTS

Jeremy Palmer wrote:

As part of this fix | noticed this: #0dc0483ca2d68ad9ef8fc6f67026a349598c7cbe#commitcomment-5460726

fixed in commit:a8ee0642
